Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.msml
Class X3DMSMLDatatype

    java.lang.Object
      de.grogra.imp3d.msml.X3DMSMLDatatype

All Implemented Interfaces:
  MSMLDatatype

Direct Known Subclasses:
  Appearance, Shape, Transform

    public abstract class X3DMSMLDatatype

extends java.lang.Object
implements MSMLDatatype

Constructor Summary
`X3DMSMLDatatype()`

Method Summary
`static AxisAngle4d` | `convertMatrix2AxisAngle(Matrix3d rotMatrix)` Converts a rotation matrix to an axis-angle representation.
`protected static java.lang.String` | `getAttributeContent(org.w3c.dom.Node node, java.lang.String attrname)`
`protected static AxisAngle4f` | `getAxisAngle4fFromString(java.lang.String s)`
`protected static java.awt.image.BufferedImage` | `getBufferedImageFromSFImage(java.lang.String s)`
`protected static java.lang.String` | `getStringFromAxisAngle4d(AxisAngle4d aa4d)`
`protected static java.lang.String` | `getStringFromBufferedImage(java.awt.image.BufferedImage img)`
`protected static java.lang.String` | `getStringFromVector2f(Vector2f v2f)`
`protected static java.lang.String` | `getStringFromVector3d(Vector3d v3d)`
`protected static java.lang.String` | `getStringFromVector3f(Vector3f v3f)`
`protected static java.net.URL` | `getURLfromString(java.net.URL baseURL, java.lang.String s)`
`protected static Vector2f` | `getVector2fFromString(java.lang.String s)`
`protected static Vector3f` | `getVector3fFromChannelMap(ChannelMap cm)`
`protected static Vector3f` | `getVector3fFromString(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.msml.MSMLDatatype
`export, export`

Constructor Detail

### X3DMSMLDatatype

    public X3DMSMLDatatype()

Method Detail

### convertMatrix2AxisAngle

    public static AxisAngle4d convertMatrix2AxisAngle(Matrix3d rotMatrix)

  Converts a rotation matrix to an axis-angle representation. see Book:"Graphics Gems 1" by Andrew S. Glassner page 466

  Parameters:
    `rotMatrix` - - contains a rotationmatrix
  Returns:
    AxisAngle4d, contains rotMatrix in axis-angle representation

### getAttributeContent

    protected static java.lang.String getAttributeContent(org.w3c.dom.Node node,
                                                          java.lang.String attrname)

### getAxisAngle4fFromString

    protected static AxisAngle4f getAxisAngle4fFromString(java.lang.String s)

### getBufferedImageFromSFImage

    protected static java.awt.image.BufferedImage getBufferedImageFromSFImage(java.lang.String s)

### getStringFromAxisAngle4d

    protected static java.lang.String getStringFromAxisAngle4d(AxisAngle4d aa4d)

### getStringFromBufferedImage

    protected static java.lang.String getStringFromBufferedImage(java.awt.image.BufferedImage img)

### getStringFromVector2f

    protected static java.lang.String getStringFromVector2f(Vector2f v2f)

### getStringFromVector3d

    protected static java.lang.String getStringFromVector3d(Vector3d v3d)

### getStringFromVector3f

    protected static java.lang.String getStringFromVector3f(Vector3f v3f)

### getURLfromString

    protected static java.net.URL getURLfromString(java.net.URL baseURL,
                                                   java.lang.String s)
                                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### getVector2fFromString

    protected static Vector2f getVector2fFromString(java.lang.String s)

### getVector3fFromChannelMap

    protected static Vector3f getVector3fFromChannelMap(ChannelMap cm)

### getVector3fFromString

    protected static Vector3f getVector3fFromString(java.lang.String s)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD